/*
 * Copyright (c) y2k Micha Moskal <malekith@topnet.pl>
 *
 * This file is part of libcftp - cftp protocol implementation.
 * CryptoFTP is free software. You can redistribute it and/or modify it under
 * the terms of the GNU Library General Public License (see COPYING.LGPL 
 * for details).
 *
 * $Id: utils.h,v 1.2 2000/04/22 21:14:43 malekith Exp $
 */

/* utils.c */
i32 h2n(i32 d);
i32 n2h(i32 d);
int xstrcasecmp(const char *left, const char *right);

#include <stddef.h>
/* memory.c */
void *xmalloc(size_t size);
void *xmalloc0(size_t size);
void *xrealloc(void *p, size_t ns);
void xfree(void *p);
void xfree0(void *p, size_t size);
char *xstrdup(const char *str);

/* rnd.c */
int rnd(void);

/* random */
void random_get(void *buf, int len);
u32 random_int(void);
int random_byte(void);
void random_add(const void *buf, int len);
void random_mark(void);

double dtime(void);
void crypto_init(void);


char *xprintf(const char *fmt, ... );

#ifdef WINDA
void sleep(int);
void usleep(int);
#endif

